## DMS Swi Get USB Composition request

DMS Swi Get USB Composition request

## Functions

QmiMessageDmsSwiGetUsbCompositionOutput * | qmi_message_dms_swi_get_usb_composition_output_ref ()
void | qmi_message_dms_swi_get_usb_composition_output_unref ()
gboolean | qmi_message_dms_swi_get_usb_composition_output_get_result ()
gboolean | qmi_message_dms_swi_get_usb_composition_output_get_current ()
gboolean | qmi_message_dms_swi_get_usb_composition_output_get_supported ()
void | qmi_client_dms_swi_get_usb_composition ()
QmiMessageDmsSwiGetUsbCompositionOutput * | qmi_client_dms_swi_get_usb_composition_finish ()

## Types and Values

| QmiMessageDmsSwiGetUsbCompositionOutput

## Object Hierarchy

        GBoxed
        ╰── QmiMessageDmsSwiGetUsbCompositionOutput

## Description

## Functions

### qmi_message_dms_swi_get_usb_composition_output_ref ()

    QmiMessageDmsSwiGetUsbCompositionOutput *
    qmi_message_dms_swi_get_usb_composition_output_ref
                                   (QmiMessageDmsSwiGetUsbCompositionOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageDmsSwiGetUsbCompositionOutput. |

#### Returns

the new reference to `self` .

Since: 1.20

### qmi_message_dms_swi_get_usb_composition_output_unref ()

    void
    qmi_message_dms_swi_get_usb_composition_output_unref
                                   (QmiMessageDmsSwiGetUsbCompositionOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageDmsSwiGetUsbCompositionOutput. |

Since: 1.20

### qmi_message_dms_swi_get_usb_composition_output_get_result ()

    gboolean
    qmi_message_dms_swi_get_usb_composition_output_get_result
                                   (QmiMessageDmsSwiGetUsbCompositionOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageDmsSwiGetUsbCompositionOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

Since: 1.20

### qmi_message_dms_swi_get_usb_composition_output_get_current ()

    gboolean
    qmi_message_dms_swi_get_usb_composition_output_get_current
                                   (QmiMessageDmsSwiGetUsbCompositionOutput *self,
                                    QmiDmsSwiUsbComposition *value_current,
                                    GError **error);

Get the 'Current' field from `self` .

#### Parameters

self | a QmiMessageDmsSwiGetUsbCompositionOutput. |
value_current | a placeholder for the output QmiDmsSwiUsbComposition, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.20

### qmi_message_dms_swi_get_usb_composition_output_get_supported ()

    gboolean
    qmi_message_dms_swi_get_usb_composition_output_get_supported
                                   (QmiMessageDmsSwiGetUsbCompositionOutput *self,
                                    GArray **value_supported,
                                    GError **error);

Get the 'Supported' field from `self` .

#### Parameters

self | a QmiMessageDmsSwiGetUsbCompositionOutput. |
value_supported | a placeholder for the output GArray of QmiDmsSwiUsbComposition elements, or `NULL` if not required. Do not free it, it is owned by `self` . |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.20

### qmi_client_dms_swi_get_usb_composition ()

    void
    qmi_client_dms_swi_get_usb_composition
                                   (QmiClientDms *self,
                                    gpointer unused,
                                    guint timeout,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously sends a Swi Get USB Composition request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_dms_swi_get_usb_composition_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientDms. |
unused | `NULL`. This message doesn't have any input bundle. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.20

### qmi_client_dms_swi_get_usb_composition_finish ()

    QmiMessageDmsSwiGetUsbCompositionOutput *
    qmi_client_dms_swi_get_usb_composition_finish
                                   (QmiClientDms *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_dms_swi_get_usb_composition()`.

#### Parameters

self | a QmiClientDms. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_dms_swi_get_usb_composition()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageDmsSwiGetUsbCompositionOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_dms_swi_get_usb_composition_output_unref()`.

Since: 1.20

## Types and Values

### QmiMessageDmsSwiGetUsbCompositionOutput

    typedef struct _QmiMessageDmsSwiGetUsbCompositionOutput QmiMessageDmsSwiGetUsbCompositionOutput;

The QmiMessageDmsSwiGetUsbCompositionOutput structure contains private data and should only be accessed using the provided API.

Since: 1.20